show {methods} | R Documentation

## Show an Object

### Description

Display the object, by printing, plotting or whatever suits its class. This function exists to be specialized by methods. The default method calls `showDefault`.

Formal methods for `show` will usually be invoked for automatic printing (see the details).

### Usage

    show(object)

### Arguments

`object` | Any R object

### Details

Objects from an S4 class (a class defined by a call to `setClass`) will be displayed automatically is if by a call to `show`. S4 objects that occur as attributes of S3 objects will also be displayed in this form; conversely, S3 objects encountered as slots in S4 objects will be printed using the S3 convention, as if by a call to `print`.

Methods defined for `show` will only be inherited by simple inheritance, since otherwise the method would not receive the complete, original object, with misleading results. See the `simpleInheritanceOnly` argument to `setGeneric` and the discussion in `setIs` for the general concept.

### Value

`show` returns an invisible `NULL`.

### See Also

`showMethods` prints all the methods for one or more functions.

### Examples

    ## following the example shown in the setMethod documentation ...
    setClass("track",
             representation(x="numeric", y="numeric"))
    setClass("trackCurve",
             representation("track", smooth = "numeric"))

    t1 <- new("track", x=1:20, y=(1:20)^2)

    tc1 <- new("trackCurve", t1)

    setMethod("show", "track",
      function(object)print(rbind(x = object@x, y=object@y))
    )
    ## The method will now be used for automatic printing of t1

    t1

    ## Not run:   [,1] [,2] [,3] [,4] [,5] [,6] [,7] [,8] [,9] [,10] [,11] [,12]
    x    1    2    3    4    5    6    7    8    9    10    11    12
    y    1    4    9   16   25   36   49   64   81   100   121   144
      [,13] [,14] [,15] [,16] [,17] [,18] [,19] [,20]
    x    13    14    15    16    17    18    19    20
    y   169   196   225   256   289   324   361   400

    ## End(Not run)
    ## and also for tc1, an object of a class that extends "track"
    tc1

    ## Not run:   [,1] [,2] [,3] [,4] [,5] [,6] [,7] [,8] [,9] [,10] [,11] [,12]
    x    1    2    3    4    5    6    7    8    9    10    11    12
    y    1    4    9   16   25   36   49   64   81   100   121   144
      [,13] [,14] [,15] [,16] [,17] [,18] [,19] [,20]
    x    13    14    15    16    17    18    19    20
    y   169   196   225   256   289   324   361   400

    ## End(Not run)

[Package methods version 2.15.2 Index]